﻿$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://university.connectwise.com/install/2019.5/ConnectWise-Manage-Internet-Client.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url64bit      = $url64
  softwareName  = 'Connectwise*'
  checksum64    = '6C0C27A26B7EF29B385C144E18B58B80'
  checksumType64= 'md5'
  validExitCodes= @(0, 3010, 1641)
  #silentArgs   = '/s'           # InstallShield
  silentArgs   = '/quiet'   # InstallShield with MSI
}

Install-ChocolateyPackage @packageArgs # https://chocolatey.org/docs/helpers-install-chocolatey-package

